Set a preset workspace icon
const options = {
method: 'PATCH',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://getoverlay.io/api/v1/workspaces/{workspaceId}/icon', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'PATCH',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://getoverlay.io/api/v1/workspaces/{workspaceId}/icon', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://getoverlay.io/api/v1/workspaces/{workspaceId}/icon \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '{}'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Workspaces
Set a preset workspace icon
PATCH
/
api
/
v1
/
workspaces
/
{workspaceId}
/
icon
Set a preset workspace icon
const options = {
method: 'PATCH',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://getoverlay.io/api/v1/workspaces/{workspaceId}/icon', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'PATCH',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://getoverlay.io/api/v1/workspaces/{workspaceId}/icon', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://getoverlay.io/api/v1/workspaces/{workspaceId}/icon \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '{}'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
browserSessionbearerAuth
Signed httpOnly browser session cookie.
Path Parameters
Body
application/json
Available options:
shape-1, shape-2, shape-3, shape-4, shape-5, shape-6 Response
Successful response. Stable response schemas are documented in workflow guides when available.
Response shape is route-specific and may be backed by @overlay/app-core contracts.